PUT /api/v202208/dashboard/{dashboardId}/widget

Reorders, edits, and deletes widgets on a dashboard in a single batch operation.

EditDashboardWidgetsV202208 Permissions: DashboardAndMapsModule (View)
Use this endpoint to update all widgets on a dashboard at once. Widgets not included in the request are deleted. This version supports user widget descriptions. Requires ownership, DashboardAdministrator Manage, or SharedDashboardsOrMaps Edit permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
dashboardId Unique numeric identifier of the dashboard integer (int32) Required

Request Body

Array of:

WidgetEditV202208
Property Description Type
col Dashboard column Required (defined) integer (int32)
filters Widget filters Required (defined) FilterEdit[]
FilterEdit properties
Property Description Type
fieldId Data field ID for the filter Required integer (int32)
operator Filter operator expressed as a string (e.g. “equals”) Required string
value Filter value string
height Widget height Required (defined) integer (int32)
row Dashboard row Required (defined) integer (int32)
specificWidgetId Specific Widget identifier Required integer (int32)
title Personal Widget title Must be between 0 and 600 characters Required string
userWidgetDescription Personal Widget description Must be between 0 and 600 characters Required (defined) string
width Widget width Required (defined) integer (int32)
Example Request Body application/json
[
  {    "col": 1,    "filters": [
      {      "fieldId": 1,      "operator": "string",      "value": "string"
    }
    ],    "height": 1,    "row": 1,    "specificWidgetId": 1,    "title": "string",    "userWidgetDescription": "string",    "width": 1
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

SpecificWidgetResponse
Property Description Type
col Dashboard column integer (int32)
description Widget description string
filters Widget filters FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode The data type code/short name Required (defined) string
dataTypeId The unique identifier for the data type (e.g., 1=boolean, 2=integer, 3=string, 4=double, 6=date, 12=select list, 13=URL) Required (defined) integer (int32)
dataTypeInfo The data type display name/description Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
height Widget height integer (int32)
row Dashboard row integer (int32)
specificWidgetId Specific widget identifier integer (int32)
title User Widget title string
userWidgetDescription User Widget description string
widgetInfo Widget title string
width Widget width integer (int32)
Example Response application/json
[
  {    "col": 1,    "description": "string",    "filters": [
      {      "availableOperator": [],      "caption": "string",      "dataFieldId": 1,      "dataType": {},      "fieldId": 1,      "hidden": false,      "operator": "string",      "queryParameterName": "string",      "recommended": false,      "required": false,      "value": "string"
    }
    ],    "height": 1,    "row": 1,    "specificWidgetId": 1,    "title": "string",    "userWidgetDescription": "string",    "widgetInfo": "string",    "width": 1
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.